package com.mobvcasting.activitytoactivity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.Toast;

public class ActivityOne extends Activity implements OnClickListener {
	
	Spinner testSpinner;
	EditText editText;
	Button clickMe;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        testSpinner = (Spinner) this.findViewById(R.id.Spinner01);
   		ArrayAdapter<CharSequence> adapter1 = ArrayAdapter.createFromResource(
   				this, R.array.numbers, android.R.layout.simple_spinner_item);
   			adapter1.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
   	    	testSpinner.setAdapter(adapter1);        
   	    	
   	    editText = (EditText) this.findViewById(R.id.EditText01);
   	    	
   	    clickMe = (Button) this.findViewById(R.id.Button01);
        clickMe.setOnClickListener(this);
    }

	public void onClick(View v) {		
        Intent intent = new Intent(this,ActivityTwo.class); 

		Bundle bundle = new Bundle();
		bundle.putString("valueone", (String)testSpinner.getSelectedItem()); 
		bundle.putString("valuetwo", editText.getEditableText().toString());		
	    intent.putExtras(bundle); 
	    
	    startActivity(intent);
	}
}